'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (Vue, options) {
  var _ = Vue.util;
  // bring redux to revue
  _.defineReactive(Vue.prototype, '$revue', options.store);
  // listen for state changes
  _.defineReactive(Vue.prototype, '$subscribe', function () {
    var self = this;
    self.unsubscriber = [];
    var props = [].slice.call(arguments);
    props.forEach(function (prop) {
      var currentValue = undefined;
      function handleChange() {
        var previousValue = currentValue;
        currentValue = options.store.getState()[prop];

        if (previousValue !== currentValue) {
          self.$set(prop, currentValue);
        }
      }
      self.unsubscriber.push(options.store.subscribe(handleChange));
    });
  });
  _.defineReactive(Vue.prototype, '$unsubscribe', function () {
    this.unsubscriber.forEach(function (un) {
      return un();
    });
  });
  // global mixin
  Vue.mixin({
    beforeDestroy: function beforeDestroy() {
      if (this.unsubscriber && this.unsubscriber.length > 0) {
        this.$unsubscribe();
      }
    }
  });
};
